IEEECK(3f)

NAME
IEEECK - called from the ILAENV to verify that Infinity and possibly NaN arithmetic is safe (i.e

SYNOPSIS

INTEGER FUNCTION
    IEEECK( ISPEC, ZERO, ONE )

INTEGER
    ISPEC

REAL
    ONE, ZERO

PURPOSE
IEEECK is called from the ILAENV to verify that Infinity and possibly NaN arithmetic is safe (i.e. will not trap).

ARGUMENTS

ISPEC   (input) INTEGER
    Specifies whether to test just for inifinity arithmetic or whether to test for infinity and NaN arithmetic. = 0: Verify infinity arithmetic only.
    = 1: Verify infinity and NaN arithmetic.

ZERO    (input) REAL
    Must contain the value 0.0 This is passed to prevent the compiler from optimizing away this code.

ONE     (input) REAL
    Must contain the value 1.0 This is passed to prevent the compiler from optimizing away this code. RETURN VALUE: INTEGER = 0: Arithmetic failed to produce the correct answers
    = 1: Arithmetic produced the correct answers Return if we were only asked to check infinity arithmetic